PaidGoods
API referenceResellers

Make a customer (or a new email) a reseller

POST
/v1/stores/{storeId}/resellers/invite

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/resellers/invite" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",  "email": "string",  "status": "applied",  "tierId": "fc392c40-3620-4503-8c0d-7df4d7876c3d",  "tierName": "string",  "discountBp": -9007199254740991,  "tierLocked": true,  "balanceMinor": -9007199254740991,  "spentMinor": -9007199254740991,  "orders": -9007199254740991,  "applicationAnswer": "string",  "statusReason": "string",  "appliedAt": "string",  "approvedAt": "string",  "createdAt": "string"}